Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding
Class AttributeSerializationContextImpl

    java.lang.Object
      org.apache.axis.encoding.SerializationContext
          org.apache.axis.encoding.AttributeSerializationContextImpl

All Implemented Interfaces:
  SerializationContext

public class AttributeSerializationContextImpl
extends SerializationContext

Used to suppress element tag serialization when serializing simple types into attributes.

Author:
  Thomas Sandholm (sandholm@mcs.anl.gov)

Field Summary

Fields inherited from class org.apache.axis.encoding.SerializationContext
`log, startOfDocument`

Constructor Summary
`AttributeSerializationContextImpl(java.io.Writer writer, SerializationContext parent)`

Method Summary
`void` | `endElement()` Writes the end element tag for the open element.
`java.lang.String` | `qName2String(QName qname)`
`void` | `startElement(QName qName, org.xml.sax.Attributes attributes)` Writes (using the Writer) the start tag for element QName along with the indicated attributes and namespace mappings.

Methods inherited from class org.apache.axis.encoding.SerializationContext
`attributeQName2String, getCurrentMessage, getCurrentXMLType, getDoMultiRefs, getEncoder, getEncoding, getEncodingStyle, getItemQName, getItemType, getMessageContext, getPrefixForURI, getPrefixForURI, getPrefixForURI, getPretty, getQNameForClass, getSerializerForJavaType, getTypeMapping, getTypeMappingRegistry, getValueAsString, isEncoded, isPrimitive, outputMultiRefs, qName2String, registerPrefixForURI, serialize, serialize, serialize, serialize, serialize, serialize, setDoMultiRefs, setEncoding, setItemQName, setItemType, setPretty, setSendDecl, setTypeAttribute, setWriteXMLType, shouldSendXSIType, writeChars, writeDOMElement, writeSafeString, writeString, writeXMLDeclaration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeSerializationContextImpl

    public AttributeSerializationContextImpl(java.io.Writer writer,
                                             SerializationContext parent)

Method Detail

### startElement

    public void startElement(QName qName,
                             org.xml.sax.Attributes attributes)
                      throws java.io.IOException

  Description copied from class: `SerializationContext`
  Writes (using the Writer) the start tag for element QName along with the indicated attributes and namespace mappings.

  Overrides:
    `startElement` in class `SerializationContext`
  Parameters:
    `qName` - is the name of the element
    `attributes` - are the attributes to write
  Throws:
    `java.io.IOException`

### endElement

    public void endElement()
                    throws java.io.IOException

  Description copied from class: `SerializationContext`
  Writes the end element tag for the open element.

  Overrides:
    `endElement` in class `SerializationContext`
  Throws:
    `java.io.IOException`

### qName2String

    public java.lang.String qName2String(QName qname)

  Overrides:
    `qName2String` in class `SerializationContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.